<template>
	<view class="content">
		该活动已下线
		<!-- <view class="homemain">
			<img class="coverlogo" src="https://ikea-mrm.woaap.com/images/logo.png" />
			<img @click="showpop" class="hdsmt" src="https://ikea-mrm.woaap.com/images/cover/hdsmt.png" />
			<img class="homebg" src="https://ikea-mrm.woaap.com/images/cover/home.png" />
			<img @click="goChoose" class="gochoose" src="https://ikea-mrm.woaap.com/images/cover/gochoose.png" />
		</view>
		<view class="popup" v-if="isshow">
			<view class="popupmain">
				<img class="poptitle" src="https://ikea-mrm.woaap.com/images/cover/poptitle.png" />
				<scroll-view id="scrollView" scroll-y="true" @scroll="scroll" class="popcontent">
					<img id="cView" class="hdsm" src="https://ikea-mrm.woaap.com/images/cover/hdsm.png" />
				</scroll-view>
				<view class="progress"><view class="pro" :style="{ top: top + 'rpx' }"></view></view>
			</view>
			<img @click="isshow = false" class="close" src="https://ikea-mrm.woaap.com/images/cover/close.png" />
		</view> -->
	</view>
</template>

<script>
export default {
	data() {
		return {
			isshow: false,
			top: '',
			H: ''
		};
	},
	// onShareAppMessage: function(res) {
	// 	return {
	// 		title: '定制宜家风 赢限量好礼',
	// 		path: 'pages/cover/home',
	// 		imageUrl: 'https://ikea-mrm.woaap.com/images/share/share_cover.jpeg'
	// 	};
	// },
	// onLoad() {},
	// onShow() {
	// 	getApp().td_app_sdk.event({
	// 		id: '/cover/home',
	// 		label: 'pv',
	// 		params: {}
	// 	});
	// },
	methods: {
		showpop() {
			getApp().td_app_sdk.event({
				id: '封面活动说明',
				label: 'click'
			});
			this.isshow = true;
			this.$nextTick(() => {
				let box = uni.createSelectorQuery().select('#scrollView');
				box
					.boundingClientRect(res => {
						this.scrollH = res.height;
						console.log(this.scrollH);
					})
					.exec(() => {
						let cbox = uni.createSelectorQuery().select('#cView');
						cbox
							.boundingClientRect(cres => {
								this.cH = cres.height;
								console.log(this.cH);
							})
							.exec(() => {
								this.H = this.cH - this.scrollH;
								console.log(this.H);
							});
					});
			});
		},
		goChoose() {
			getApp().td_app_sdk.event({
				id: '去定制',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/cover/choose'
			});
		},
		scroll(event) {
			console.log(event.detail.scrollTop);
			let sct = event.detail.scrollTop;
			if (sct < 10) sct = 0;
			if (sct > this.H - 10) sct = this.H;
			this.top = (sct * 610) / this.H;
			console.log(this.top);
		}
	}
};
</script>

<style scoped lang="less">
.content {
	width: 100vw;
	height: 100vh;
	position: relative;
	background: #ffffff;
	position: relative;
	overflow: hidden;
	display: flex;
	justify-content: center;
	align-items: center;
	.homemain {
		width: 750rpx;
		height: 1624rpx;
		position: absolute;
		top: -150rpx;
		// left: 50%;
		// top: 50%;
		// transform: translate(-50%,-48%);
		.hdsmt {
			width: 128rpx;
			height: 32rpx;
			position: absolute;
			top: 210rpx;
			left: 600rpx;
		}
		.homebg {
			width: 750rpx;
			height: 1624rpx;
		}
		.gochoose {
			position: absolute;
			width: 328rpx;
			height: 102rpx;
			left: 50%;
			top: 1225rpx;
			transform: translate(-50%, 0);
		}
	}
	.popup {
		position: fixed;
		top: 0;
		left: 0;
		bottom: 0;
		right: 0;
		background: rgba(#000000, 0.8);
		display: flex;
		justify-content: center;
		align-items: center;
		flex-direction: column;
		z-index: 99;
		.popupmain {
			width: 609rpx;
			height: 810rpx;
			background: url(https://ikea-mrm.woaap.com/images/cover/popbg.png) no-repeat;
			background-size: 100% 100%;
			position: relative;
			overflow: hidden;
			.poptitle {
				width: 196rpx;
				height: 39rpx;
				position: absolute;
				top: 70rpx;
				left: 50%;
				transform: translate(-50%, 0);
			}
			.popcontent {
				width: 620rpx;
				height: 620rpx;
				margin-top: 130rpx;
				overflow-y: hidden;
				text-align: center;
				img {
					width: 504rpx;
					height: 717rpx;
					margin: 0 auto;
				}
			}

			.progress {
				width: 7rpx;
				height: 620rpx;
				position: absolute;
				top: 130rpx;
				right: 30rpx;
				background: #fff2ad;
				border-radius: 7rpx;
				.pro {
					width: 14rpx;
					height: 14rpx;
					background-color: #ffd700;
					border-radius: 50%;
					position: absolute;
					left: 50%;
					transform: translate(-50%, 0);
				}
			}
		}

		.close {
			width: 74rpx;
			height: 74rpx;
			margin: 30rpx 0;
		}
	}
}
</style>
